Index: /extensions/Comments_on_Albums/include/functions_comment.inc.php
===================================================================
--- /extensions/Comments_on_Albums/include/functions_comment.inc.php	(revision 15998)
+++ /extensions/Comments_on_Albums/include/functions_comment.inc.php	(revision 15999)
@@ -2,36 +2,6 @@
 /* This is a copy of include/functions_comment.inc.php but adapted for Comments On Albums */
 
-//returns string action to perform on a new comment: validate, moderate, reject
-function user_comment_check_albums($action, $comment)
-{
-  global $conf,$user;
-
-  if ($action=='reject')
-  return $action;
-
-  $my_action = $conf['comment_spam_reject'] ? 'reject':'moderate';
-
-  if ($action==$my_action)
-  return $action;
-
-  // we do here only BASIC spam check (plugins can do more)
-  if ( !is_a_guest() )
-  return $action;
-
-  $link_count = preg_match_all( '/https?:\/\//',
-  $comment['content'], $matches);
-
-  if ( strpos($comment['author'], 'http://')!==false )
-  {
-  $link_count++;
-  }
-
-  if ( $link_count>$conf['comment_spam_max_links'] )
-  return $my_action;
-
-  return $action;
-}
-
-add_event_handler('user_comment_check_albums', 'user_comment_check_albums',
+include_once(PHPWG_ROOT_PATH.'include/functions_comment.inc.php');
+add_event_handler('user_comment_check_albums', 'user_comment_check',
   EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
 
@@ -323,40 +293,4 @@
 }
 
-if (!function_exists('email_admin')) 
-{
-  function email_admin($action, $comment)
-  {
-    global $conf;
-
-    if (!in_array($action, array('edit', 'delete'))
-      or (($action=='edit') and !$conf['email_admin_on_comment_edition'])
-      or (($action=='delete') and !$conf['email_admin_on_comment_deletion']))
-    {
-    return;
-    }
-
-    include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
-
-    $keyargs_content = array();
-    $keyargs_content[] = get_l10n_args('Author: %s', $comment['author']);
-    if ($action=='delete')
-    {
-    $keyargs_content[] = get_l10n_args('This author removed the comment with id %d',
-               $comment['comment_id']
-               );
-    }
-    else
-    {
-    $keyargs_content[] = get_l10n_args('This author modified following comment:', '');
-    $keyargs_content[] = get_l10n_args('Comment: %s', $comment['content']);
-    }
-
-    pwg_mail_notification_admins(get_l10n_args('Comment by %s',
-               $comment['author']),
-             $keyargs_content
-             );
-  }
-}
-
 function get_comment_author_id_albums($comment_id, $die_on_error=true)
 {
Index: /extensions/Comments_on_Albums/main.inc.php
===================================================================
--- /extensions/Comments_on_Albums/main.inc.php	(revision 15998)
+++ /extensions/Comments_on_Albums/main.inc.php	(revision 15999)
@@ -34,5 +34,5 @@
   if ($user['theme'] == 'luciano' or $user['theme'] == 'stripped_black_bloc') return;
   
-  add_event_handler('loc_begin_page_header', 'COA_albums');
+  add_event_handler('loc_after_page_header', 'COA_albums');
   add_event_handler('loc_after_page_header', 'COA_comments_page');
   add_event_handler('loc_begin_admin_page', 'COA_admin_intro');
@@ -51,20 +51,5 @@
   
   if ( !empty($page['section']) AND $page['section'] == 'categories' AND isset($page['category']) AND $page['body_id'] == 'theCategoryPage' )
-  {
-    if (isset($pwg_loaded_plugins['bbcode_bar']) AND !isset($_GET['comment_to_edit'])) 
-    {
-      set_bbcode_bar();
-      $template->set_prefilter('comments_on_albums', 'set_bbcode_bar_prefilter'); 
-      if (isset($pwg_loaded_plugins['SmiliesSupport']))
-      {
-        $template->set_prefilter('comments_on_albums', 'set_smiliessupport_prefilter');
-      }
-    }
-    else if (isset($pwg_loaded_plugins['SmiliesSupport']) AND !isset($_GET['comment_to_edit'])) 
-    {
-      set_smiliessupport();
-      $template->set_prefilter('comments_on_albums', 'set_smiliessupport_prefilter');
-    }
-    
+  {    
     trigger_action('loc_begin_coa');
     include(COA_PATH . 'include/coa_albums.php');