Index: /extensions/AMenuManager/admin/amm_coreBlocks.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_coreBlocks.tpl	(revision 16005)
+++ /extensions/AMenuManager/admin/amm_coreBlocks.tpl	(revision 16006)
@@ -50,5 +50,5 @@
           <tr>
             <td style='min-width: 250px;'>
-              <span class='menuListMove'><img src="{$themeconf.admin_icon_dir}/cat_move.png" class="drag_button" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/></span>
+              <span class='menuListMove' title="{'Drag to re-order'|@translate}">&nbsp;</span>
               <span class='menuListName'>
                 <span style='font-weight:bold;' class='pluginBoxNameCell'>{$block.name|@translate}</span>&nbsp;[{$block.id}]<br>
@@ -58,5 +58,5 @@
             <td style='min-width: 100px;text-align:right;'>{'g002_accessibility'|@translate}</td>
             <td style='width:30%;'>
-              <div id='users_{$block.id}' class='menuListUsers'>
+              <div id='users_{$block.id}' class='menuListUsers' style='display:none;'>
               {ldelim}
                 "selected":{$block.users},
@@ -71,5 +71,5 @@
             </td>
             <td style='width:30%;'>
-              <div id='groups_{$block.id}' class='menuListGroups'>
+              <div id='groups_{$block.id}' class='menuListGroups' style:'display:none;'>
               {ldelim}
                 "selected":{$block.groups},
@@ -114,5 +114,5 @@
                   {if $id=="qsearch"}
                   {else}
-                  <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/>
+                  <span class='listMove' title="{'Drag to re-order'|@translate}"></span>
                   {/if}
                   {$data.translation|@translate}
Index: /extensions/AMenuManager/admin/amm_linkslinks.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_linkslinks.tpl	(revision 16005)
+++ /extensions/AMenuManager/admin/amm_linkslinks.tpl	(revision 16006)
@@ -62,5 +62,5 @@
       <td>{'g002_icon'|@translate}</td>
       <td>
-        <div id="iamm_icon">
+        <div id="iamm_icon" style='display:none;'>
           [
           {foreach from=$datas.iconsValues key=name item=icon name=items}
@@ -75,5 +75,5 @@
       <td>{'g002_mode'|@translate}</td>
       <td>
-        <div id="iamm_mode">
+        <div id="iamm_mode" style='display:none;'>
           [
           {foreach from=$datas.modesValues key=name item=mode name=items}
Index: /extensions/AMenuManager/admin/amm_linkslinks_detail.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_linkslinks_detail.tpl	(revision 16005)
+++ /extensions/AMenuManager/admin/amm_linkslinks_detail.tpl	(revision 16006)
@@ -3,5 +3,7 @@
   <table>
     <tr>
-      <td rowspan=2 style='width:22px'><img src="{$themeconf.admin_icon_dir}/cat_move.png" class="drag_button" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/></td>
+      <td rowspan=2 style='width:22px'>
+        <span class='listMove' title="{'Drag to re-order'|@translate}"></span>
+      </td>
 
       <td rowspan=2 style='width:30px;'>{if $link.icon!=""}<img src='{$link.icon}'/>{else}&nbsp;{/if}</td>
@@ -13,13 +15,11 @@
 
       <td rowspan=2 width="40px">
-        <img src="{$themeconf.admin_icon_dir}/edit_s.png"
-             class="button" alt="{'g002_edit'|@translate}"
-             title="{'g002_edit'|@translate}"
-             onclick='ulm.edit({$link.id});'/>
-        <img src="{$themeconf.admin_icon_dir}/delete.png"
-             class="button"
-             alt="{'g002_delete'|@translate}"
-             title="{'g002_delete'|@translate}"
-             onclick='ulm.remove({$link.id});'/>
+        <span class='buttonEdit'
+              title="{'g002_edit'|@translate}"
+              onclick='ulm.edit({$link.id});'/>
+
+        <span class='buttonDelete'
+              title="{'g002_delete'|@translate}"
+              onclick='ulm.remove({$link.id});'/>
       </td>
     </tr>
Index: /extensions/AMenuManager/admin/amm_personalised_detail.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_personalised_detail.tpl	(revision 16005)
+++ /extensions/AMenuManager/admin/amm_personalised_detail.tpl	(revision 16006)
@@ -8,13 +8,10 @@
 
     <td width="40px">
-      <img src="{$themeconf.admin_icon_dir}/edit_s.png"
-           class="button" alt="{'g002_edit'|@translate}"
+      <span class="buttonEdit"
            title="{'g002_edit'|@translate}"
            onclick='upbm.edit({$block.id});'/>
-      <img src="{$themeconf.admin_icon_dir}/delete.png"
-           class="button"
-           alt="{'g002_delete'|@translate}"
-           title="{'g002_delete'|@translate}"
-           onclick='upbm.remove({$block.id});'/>
+      <span class="buttonDelete"
+            title="{'g002_delete'|@translate}"
+            onclick='upbm.remove({$block.id});'/>
     </td>
   </tr>
Index: /extensions/AMenuManager/admin/amm_personalisedlist_detail.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_personalisedlist_detail.tpl	(revision 16005)
+++ /extensions/AMenuManager/admin/amm_personalisedlist_detail.tpl	(revision 16006)
@@ -14,6 +14,14 @@
         <td>{$section.title}</td>
         <td style="text-align:center;">{$section.visible}</td>
-        <td width="15px"><a href="{$section.edit}"><img src='{$themeconf.icon_dir}/category_edit.png'/></a></td>
-        <td width="15px"><a style="cursor:pointer;" onclick="load_list('delete', {$section.ID})"><img src='{$themeconf.icon_dir}/delete.png'/></a></td>
+        <td width="15px">
+          <a href="{$section.edit}">
+            <span class='buttonEdit'/>
+          </a>
+        </td>
+        <td width="15px">
+          <a style="cursor:pointer;" onclick="load_list('delete', {$section.ID})">
+            <span class='buttonDelete'/>
+          </a>
+        </td>
       </tr>
     {/foreach}
Index: /extensions/AMenuManager/admin/amm_randompicconfig.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_randompicconfig.tpl	(revision 16005)
+++ /extensions/AMenuManager/admin/amm_randompicconfig.tpl	(revision 16006)
@@ -81,5 +81,5 @@
           <div id="iamm_randompicture_title"></div>
 
-          <div id="islang">
+          <div id="islang" style='display:none;'>
             [
             {foreach from=$datas.langs key=langCode item=langLabel name=items}
@@ -112,5 +112,5 @@
           <td>{'g002_setting_randompic_showname'|@translate}</td>
           <td>
-            <div id="iamm_randompicture_showname">
+            <div id="iamm_randompicture_showname" style='display:none;'>
               [
                 {ldelim}"value":"n","cols":["{'g002_show_n'|@translate}"]{rdelim},
@@ -125,5 +125,5 @@
           <td>{'g002_setting_randompic_showcomment'|@translate}</td>
           <td>
-            <div id="iamm_randompicture_showcomment">
+            <div id="iamm_randompicture_showcomment" style='display:none;'>
               [
                 {ldelim}"value":"n","cols":["{'g002_show_n'|@translate}"]{rdelim},
Index: /extensions/AMenuManager/admin/amm_sections.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_sections.tpl	(revision 16005)
+++ /extensions/AMenuManager/admin/amm_sections.tpl	(revision 16006)
@@ -15,5 +15,5 @@
           {if $id=="qsearch"}
           {else}
-          <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/>
+          <span class='listMove' title="{'Drag to re-order'|@translate}"></span>
           {/if}
           {$data.translation|@translate}
Index: /extensions/AMenuManager/amm.css
===================================================================
--- /extensions/AMenuManager/amm.css	(revision 16005)
+++ /extensions/AMenuManager/amm.css	(revision 16006)
@@ -5,6 +5,4 @@
 #iList table, table.listLinks { width:100%; text-align:left; border-collapse: collapse; }
 
-div#iList.roma table tr:hover { background:#303030; }
-div#iList.clear table tr:hover { color: #D54E21; background:#dbe8f3; }
 #iList table tr.connectedSortable,
 #iList li.connectedSortable { cursor: move; }
@@ -14,5 +12,4 @@
 
 img.button { cursor:pointer; }
-
 
 
@@ -61,10 +58,8 @@
 }
 li.menuListItem span.menuListMove {
-  position:absolute;
-  width:22px;
-  display:inline-block;
+  top:-15px;
 }
 li.menuListItem span.menuListName {
-  margin-left:26px;
+  margin-left:0px;
   display:inline-block;
 }
@@ -92,2 +87,13 @@
   vertical-align:top;
 }
+span.buttonEdit, span.buttonDelete {
+  display:inline-block;
+  width:15px;
+  height:15px;
+  position:relative;
+  background-color:transparent;
+  background-image:url(./../GrumPluginClasses/icons/buttons.png);
+  background-repeat:no-repeat;
+  cursor:pointer;
+}
+
Index: /extensions/AMenuManager/amm_aip.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_aip.class.inc.php	(revision 16005)
+++ /extensions/AMenuManager/amm_aip.class.inc.php	(revision 16006)
@@ -51,5 +51,4 @@
                           l10n('g002_album'),
                           $this->getAdminLink().'-album');
-    $this->css = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles().".css");
   }
 
@@ -76,6 +75,5 @@
 
     $template->assign('plugin', $template_plugin);
-    $template->assign('token', get_pwg_token());
-
+    GPCCore::setTemplateToken();
 
     switch($_GET['tab'])
@@ -105,14 +103,20 @@
   }
 
-
-  /**
-   * initialize events call for the plugin
-   */
   public function initEvents()
   {
-    add_event_handler('loc_end_page_header', array(&$this->css, 'applyCSS'));
-    GPCCss::applyGpcCss();
-  }
-
+    parent::initEvents();
+    add_event_handler('blockmanager_register_blocks', array(&$this, 'registerBlocks') );
+  }
+
+
+  public function loadCSS()
+  {
+    global $template;
+
+    parent::loadCSS();
+    GPCCore::addUI('gpcCSS');
+    GPCCore::addHeaderCSS('amm.css', 'plugins/'.$this->getDirectory().'/'.$this->getPluginNameFiles().".css");
+    GPCCore::addHeaderCSS('amm.cssT', 'plugins/'.$this->getDirectory().'/'.$this->getPluginNameFiles().'_'.$template->get_themeconf('name').".css");
+  }
 
   /**
Index: /extensions/AMenuManager/amm_ajax.php
===================================================================
--- /extensions/AMenuManager/amm_ajax.php	(revision 16005)
+++ /extensions/AMenuManager/amm_ajax.php	(revision 16006)
@@ -21,4 +21,5 @@
 
   define('PHPWG_ROOT_PATH',dirname(dirname(dirname(__FILE__))).'/');
+  if(!defined('AJAX_CALL')) define('AJAX_CALL', true);
 
   /*
@@ -26,8 +27,5 @@
    */
   if(!isset($_REQUEST['ajaxfct'])) $_REQUEST['ajaxfct']='';
-  if(preg_match('/^admin\./i', $_REQUEST['ajaxfct']))
-  {
-    define('IN_ADMIN', true);
-  }
+  if(preg_match('/^admin\./i', $_REQUEST['ajaxfct'])) define('IN_ADMIN', true);
 
   // the common.inc.php file loads all the main.inc.php plugins files
@@ -60,28 +58,27 @@
       global $user;
 
-      if(!isset($_REQUEST['ajaxfct'])) $_REQUEST['ajaxfct']='';
       if(!isset($_REQUEST['errcode'])) $_REQUEST['errcode']='';
-      if(!isset($_REQUEST['token'])) $_REQUEST['token']='';
+      GPCAjax::checkToken();
 
       // check if asked function is valid
-      if(!($_REQUEST['ajaxfct']=='admin.links.get' or
-           $_REQUEST['ajaxfct']=='admin.links.set' or
-           $_REQUEST['ajaxfct']=='admin.links.list' or
-           $_REQUEST['ajaxfct']=='admin.links.delete' or
-           $_REQUEST['ajaxfct']=='admin.links.order' or
-           $_REQUEST['ajaxfct']=='admin.links.setConfig' or
-           $_REQUEST['ajaxfct']=='admin.randomPict.setConfig' or
-           $_REQUEST['ajaxfct']=='admin.blocks.get' or
-           $_REQUEST['ajaxfct']=='admin.blocks.set' or
-           $_REQUEST['ajaxfct']=='admin.blocks.delete' or
-           $_REQUEST['ajaxfct']=='admin.blocks.list' or
-           $_REQUEST['ajaxfct']=='admin.album.setConfig' or
-           $_REQUEST['ajaxfct']=='admin.coreBlocks.setConfig'
-           )) $_REQUEST['ajaxfct']='';
-
-      if(preg_match('/^admin\./i', $_REQUEST['ajaxfct']) and !is_admin()) $_REQUEST['ajaxfct']='';
-
-
-      if($_REQUEST['ajaxfct']!='')
+      if(!($_REQUEST[GPC_AJAX]=='admin.links.get' or
+           $_REQUEST[GPC_AJAX]=='admin.links.set' or
+           $_REQUEST[GPC_AJAX]=='admin.links.list' or
+           $_REQUEST[GPC_AJAX]=='admin.links.delete' or
+           $_REQUEST[GPC_AJAX]=='admin.links.order' or
+           $_REQUEST[GPC_AJAX]=='admin.links.setConfig' or
+           $_REQUEST[GPC_AJAX]=='admin.randomPict.setConfig' or
+           $_REQUEST[GPC_AJAX]=='admin.blocks.get' or
+           $_REQUEST[GPC_AJAX]=='admin.blocks.set' or
+           $_REQUEST[GPC_AJAX]=='admin.blocks.delete' or
+           $_REQUEST[GPC_AJAX]=='admin.blocks.list' or
+           $_REQUEST[GPC_AJAX]=='admin.album.setConfig' or
+           $_REQUEST[GPC_AJAX]=='admin.coreBlocks.setConfig'
+           )) $_REQUEST[GPC_AJAX]='';
+
+      if(preg_match('/^admin\./i', $_REQUEST[GPC_AJAX]) and !is_admin()) $_REQUEST[GPC_AJAX]='';
+
+
+      if($_REQUEST[GPC_AJAX]!='')
       {
         /*
@@ -93,10 +90,10 @@
          * check admin.blocks.get request
          */
-        if($_REQUEST['ajaxfct']=='admin.links.get' or
-           $_REQUEST['ajaxfct']=='admin.blocks.get request')
+        if($_REQUEST[GPC_AJAX]=='admin.links.get' or
+           $_REQUEST[GPC_AJAX]=='admin.blocks.get request')
         {
           if(!isset($_REQUEST['id'])) $_REQUEST['id']='';
 
-          if($_REQUEST['id']=='') $_REQUEST['ajaxfct']='';
+          if($_REQUEST['id']=='') $_REQUEST[GPC_AJAX]='';
         }
 
@@ -104,5 +101,5 @@
          * check admin.links.set request
          */
-        if($_REQUEST['ajaxfct']=='admin.links.set')
+        if($_REQUEST[GPC_AJAX]=='admin.links.set')
         {
           if(!isset($_REQUEST['id'])) $_REQUEST['id']='';
@@ -115,11 +112,10 @@
           if(!isset($_REQUEST['datas']['accessGroups']) or $_REQUEST['datas']['accessGroups']=='') $_REQUEST['datas']['accessGroups']=array();
 
-          if($_REQUEST['token']!=get_pwg_token() or
-             $_REQUEST['datas']['label']=='' or
+          if($_REQUEST['datas']['label']=='' or
              $_REQUEST['datas']['url']=='' or
              $_REQUEST['datas']['icon']=='' or
              !($_REQUEST['datas']['mode']=='0' or $_REQUEST['datas']['mode']=='1') or
              !($_REQUEST['datas']['visible']=='y' or $_REQUEST['datas']['visible']=='n')
-            ) $_REQUEST['ajaxfct']='';
+            ) $_REQUEST[GPC_AJAX]='';
         }
 
@@ -129,12 +125,10 @@
          *
          */
-        if($_REQUEST['ajaxfct']=='admin.links.delete' or
-           $_REQUEST['ajaxfct']=='admin.blocks.delete')
+        if($_REQUEST[GPC_AJAX]=='admin.links.delete' or
+           $_REQUEST[GPC_AJAX]=='admin.blocks.delete')
         {
           if(!isset($_REQUEST['id'])) $_REQUEST['id']='';
 
-          if($_REQUEST['id']=='' or
-             $_REQUEST['token']!=get_pwg_token()
-            ) $_REQUEST['ajaxfct']='';
+          if($_REQUEST['id']=='') $_REQUEST[GPC_AJAX]='';
         }
 
@@ -142,11 +136,9 @@
          * check admin.links.order request
          */
-        if($_REQUEST['ajaxfct']=='admin.links.order')
+        if($_REQUEST[GPC_AJAX]=='admin.links.order')
         {
           if(!isset($_REQUEST['datas']['links']) or $_REQUEST['datas']['links']=='') $_REQUEST['datas']['links']=array();
 
-          if(count($_REQUEST['datas']['links'])<=1 or
-             $_REQUEST['token']!=get_pwg_token()
-            ) $_REQUEST['ajaxfct']='';
+          if(count($_REQUEST['datas']['links'])<=1) $_REQUEST[GPC_AJAX]='';
         }
 
@@ -155,13 +147,12 @@
          * check admin.links.setConfig request
          */
-        if($_REQUEST['ajaxfct']=='admin.links.setConfig')
+        if($_REQUEST[GPC_AJAX]=='admin.links.setConfig')
         {
           if(!isset($_REQUEST['datas']['showIcons'])) $_REQUEST['datas']['showIcons']='';
           if(!isset($_REQUEST['datas']['title']) or $_REQUEST['datas']['title']=='') $_REQUEST['datas']['title']=array();
 
-          if($_REQUEST['token']!=get_pwg_token() or
-             $_REQUEST['datas']['showIcons']=='' or
+          if($_REQUEST['datas']['showIcons']=='' or
              count($_REQUEST['datas']['title'])==0
-            ) $_REQUEST['ajaxfct']='';
+            ) $_REQUEST[GPC_AJAX]='';
         }
 
@@ -171,5 +162,5 @@
          * check admin.randomPict.setConfig request
          */
-        if($_REQUEST['ajaxfct']=='admin.randomPict.setConfig')
+        if($_REQUEST[GPC_AJAX]=='admin.randomPict.setConfig')
         {
           if(!isset($_REQUEST['datas']['blockHeight'])) $_REQUEST['datas']['blockHeight']='';
@@ -181,6 +172,5 @@
           if(!isset($_REQUEST['datas']['selectCat']) or $_REQUEST['datas']['selectCat']=='') $_REQUEST['datas']['selectCat']=array();
 
-          if($_REQUEST['token']!=get_pwg_token() or
-             !is_numeric($_REQUEST['datas']['blockHeight']) or
+          if(!is_numeric($_REQUEST['datas']['blockHeight']) or
              count($_REQUEST['datas']['blockTitles'])==0 or
              !($_REQUEST['datas']['infosName']=='n' or
@@ -196,5 +186,5 @@
              ($_REQUEST['datas']['selectMode']=='c' and
               count($_REQUEST['datas']['selectCat'])==0)
-            ) $_REQUEST['ajaxfct']='';
+            ) $_REQUEST[GPC_AJAX]='';
         }
 
@@ -203,5 +193,5 @@
          * check admin.blocks.set request
          */
-        if($_REQUEST['ajaxfct']=='admin.blocks.set')
+        if($_REQUEST[GPC_AJAX]=='admin.blocks.set')
         {
           if(!isset($_REQUEST['id'])) $_REQUEST['id']='';
@@ -210,9 +200,8 @@
           if(!isset($_REQUEST['datas']['langs']) or $_REQUEST['datas']['langs']=='') $_REQUEST['datas']['langs']=array();
 
-          if($_REQUEST['token']!=get_pwg_token() or
-             $_REQUEST['datas']['nfo']=='' or
+          if($_REQUEST['datas']['nfo']=='' or
              !($_REQUEST['datas']['visible']=='y' or $_REQUEST['datas']['visible']=='n') or
              count($_REQUEST['datas']['langs'])==0
-            ) $_REQUEST['ajaxfct']='';
+            ) $_REQUEST[GPC_AJAX]='';
         }
 
@@ -223,12 +212,11 @@
          * check admin.coreBlocks.setConfig request
          */
-        if($_REQUEST['ajaxfct']=='admin.coreBlocks.setConfig')
+        if($_REQUEST[GPC_AJAX]=='admin.coreBlocks.setConfig')
         {
           if(!isset($_REQUEST['datas']['menuItems']) or $_REQUEST['datas']['menuItems']=='') $_REQUEST['datas']['menuItems']=array();
           if(!isset($_REQUEST['datas']['blocks']) or $_REQUEST['datas']['blocks']=='') $_REQUEST['datas']['blocks']=array();
 
-          if($_REQUEST['token']!=get_pwg_token() or
-             count($_REQUEST['datas']['menuItems'])!=count($this->defaultMenus)
-            ) $_REQUEST['ajaxfct']='';
+          if(count($_REQUEST['datas']['menuItems'])!=count($this->defaultMenus)
+            ) $_REQUEST[GPC_AJAX]='';
         }
 
@@ -237,11 +225,8 @@
          * check admin.album.setConfig request
          */
-        if($_REQUEST['ajaxfct']=='admin.album.setConfig')
+        if($_REQUEST[GPC_AJAX]=='admin.album.setConfig')
         {
           if(!isset($_REQUEST['datas']['selectCat']) or $_REQUEST['datas']['selectCat']=='') $_REQUEST['datas']['selectCat']=array();
-
-          if($_REQUEST['token']!=get_pwg_token()) $_REQUEST['ajaxfct']='';
-        }
-
+        }
 
       }
@@ -256,5 +241,5 @@
     {
       $result="KO!".l10n('g002_error_invalid_ajax_call');
-      switch($_REQUEST['ajaxfct'])
+      switch($_REQUEST[GPC_AJAX])
       {
         case 'admin.links.get':
@@ -347,5 +332,4 @@
         );
       }
-
       $local_tpl->assign('themeconf', $template->get_template_vars('themeconf'));
       $local_tpl->assign('datas', $datas);
Index: /extensions/AMenuManager/amm_clear.css
===================================================================
--- /extensions/AMenuManager/amm_clear.css	(revision 16006)
+++ /extensions/AMenuManager/amm_clear.css	(revision 16006)
@@ -0,0 +1,30 @@
+div#iList.clear table tr:hover { color: #D54E21; background:#dbe8f3; }
+
+
+li.menuListItem span.menuListMove,
+li.pluginBox span.listMove,
+li.menuItem span.listMove {
+  width:15px;
+  display:inline-block;
+  height:15px;
+  position:relative;
+  background:url(./../GrumPluginClasses/icons/buttons.png) transparent no-repeat -285px -90px;
+}
+li.menuListItem:hover span.menuListMove,
+li.pluginBox:hover span.listMove,
+li.menuItem:hover span.listMove {
+  background-position:-285px -105px;
+}
+
+span.buttonEdit {
+  background-position:-240px -90px;
+}
+span.buttonDelete {
+  background-position:-255px -90px;
+}
+span.buttonEdit:hover {
+  background-position:-240px -105px;
+}
+span.buttonDelete:hover {
+  background-position:-255px -105px;
+}
Index: /extensions/AMenuManager/amm_pip.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_pip.class.inc.php	(revision 16005)
+++ /extensions/AMenuManager/amm_pip.class.inc.php	(revision 16006)
@@ -17,5 +17,4 @@
 
 include_once(PHPWG_PLUGINS_PATH.'AMenuManager/amm_root.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCAjax.class.inc.php');
 
 class AMM_PIP extends AMM_root
@@ -31,5 +30,4 @@
   {
     parent::__construct($prefixeTable, $filelocation);
-    $this->css = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles()."2.css");
 
     $this->users=new GPCUsers();
@@ -48,9 +46,15 @@
     parent::initEvents();
 
+    add_event_handler('blockmanager_register_blocks', array(&$this, 'registerBlocks') );
     add_event_handler('blockmanager_prepare_display', array(&$this, 'blockmanagerSortBlocks') );
     add_event_handler('blockmanager_apply', array(&$this, 'blockmanagerApply'), 45 );
-    add_event_handler('loc_end_page_header', array(&$this->css, 'applyCSS'));
     add_event_handler('loc_end_page_header', array(&$this, 'applyJS'));
     add_event_handler('get_categories_menu_sql_where', array(&$this, 'buildMenuFromCat'), 75);
+  }
+
+  public function loadCSS()
+  {
+    parent::loadCSS();
+    GPCCore::addHeaderCSS('amm_main', 'plugins/'.$this->getDirectory().'/'.$this->getPluginNameFiles()."2.css");
   }
 
Index: /extensions/AMenuManager/amm_roma.css
===================================================================
--- /extensions/AMenuManager/amm_roma.css	(revision 16006)
+++ /extensions/AMenuManager/amm_roma.css	(revision 16006)
@@ -0,0 +1,30 @@
+/* AMM ADMIN -ROMA- */
+
+div#iList.roma table tr:hover { background:#303030; }
+
+li.menuListItem span.menuListMove,
+li.pluginBox span.listMove,
+li.menuItem span.listMove {
+  width:15px;
+  display:inline-block;
+  height:15px;
+  position:relative;
+  background:url(./../GrumPluginClasses/icons/buttons.png) transparent no-repeat -285px -15px;
+}
+li.menuListItem:hover span.menuListMove,
+li.pluginBox:hover span.listMove,
+li.menuItem:hover span.listMove {
+  background-position:-285px 0px;
+}
+span.buttonEdit {
+  background-position:-240px -15px;
+}
+span.buttonDelete {
+  background-position:-255px -15px;
+}
+span.buttonEdit:hover {
+  background-position:-240px 0px;
+}
+span.buttonDelete:hover {
+  background-position:-255px 0px;
+}
Index: /extensions/AMenuManager/amm_root.class.inc.php
===================================================================
--- /extensions/AMenuManager/amm_root.class.inc.php	(revision 16005)
+++ /extensions/AMenuManager/amm_root.class.inc.php	(revision 16006)
@@ -20,10 +20,8 @@
 include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
 include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCUsersGroups.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCCss.class.inc.php');
 
 
 class AMM_root extends CommonPlugin
 {
-  protected $css;   //the css object
   protected $defaultMenus = array(
     /* about visibility & accessibility system :
@@ -63,5 +61,4 @@
   public function __destruct()
   {
-    unset($this->css);
     unset($this->defaultMenus);
     parent::__destruct();
@@ -110,14 +107,4 @@
       }
     }
-  }
-
-  public function loadConfig()
-  {
-    parent::loadConfig();
-  }
-
-  public function initEvents()
-  {
-    add_event_handler('blockmanager_register_blocks', array(&$this, 'registerBlocks') );
   }
 
Index: /extensions/AMenuManager/js/amm_blocks.js
===================================================================
--- /extensions/AMenuManager/js/amm_blocks.js	(revision 16005)
+++ /extensions/AMenuManager/js/amm_blocks.js	(revision 16006)
@@ -260,5 +260,5 @@
             }
         }
-      ).inputList('value', ':invert');
+      ).inputList('value', ':invert').css('display', 'block');
 
 
Index: /extensions/AMenuManager/js/amm_links.js
===================================================================
--- /extensions/AMenuManager/js/amm_links.js	(revision 16005)
+++ /extensions/AMenuManager/js/amm_links.js	(revision 16006)
@@ -34,5 +34,5 @@
           url: options.ajaxUrl,
           async: true,
-          data: { ajaxfct:"admin.links.list" },
+          data: { ajaxfct:"admin.links.list", token:properties.token },
           success:
             function(msg)
@@ -303,5 +303,5 @@
                 url: options.ajaxUrl,
                 async: true,
-                data: { ajaxfct:"admin.links.get", id:properties.id },
+                data: { ajaxfct:"admin.links.get", id:properties.id, token:properties.token },
                 success:
                   function(msg)
@@ -341,7 +341,7 @@
         popupMode:'mouseout'
       }
-    );
-
-    $('#iamm_mode').inputList({popupMode:'mouseout'});
+    ).css('display', 'block');
+
+    $('#iamm_mode').inputList({popupMode:'mouseout'}).css('display', 'block');
 
     $('#iamm_visible').inputRadio();
Index: /extensions/AMenuManager/js/amm_personalisedBlocks.js
===================================================================
--- /extensions/AMenuManager/js/amm_personalisedBlocks.js	(revision 16005)
+++ /extensions/AMenuManager/js/amm_personalisedBlocks.js	(revision 16006)
@@ -33,5 +33,5 @@
           url: options.ajaxUrl,
           async: true,
-          data: { ajaxfct:"admin.blocks.list" },
+          data: { ajaxfct:"admin.blocks.list", token:properties.token },
           success:
             function(msg)
@@ -257,5 +257,5 @@
                 url: options.ajaxUrl,
                 async: true,
-                data: { ajaxfct:"admin.blocks.get", id:properties.id },
+                data: { ajaxfct:"admin.blocks.get", token:properties.token, id:properties.id },
                 success:
                   function(msg)
Index: /extensions/AMenuManager/js/amm_randomPictConfig.js
===================================================================
--- /extensions/AMenuManager/js/amm_randomPictConfig.js	(revision 16005)
+++ /extensions/AMenuManager/js/amm_randomPictConfig.js	(revision 16006)
@@ -40,5 +40,5 @@
 
 
-      list=$('#iamm_randompicture_title').inputText('languagesValues');
+      list=$('#iamm_randompicture_title').inputText('languagesValues').css('display', 'block');
       for(var id in list)
       {
@@ -154,5 +154,5 @@
         change: function () { $('#iConfigState').hide(); }
       }
-    ).inputList('value', initValues.infosName);
+    ).inputList('value', initValues.infosName).css('display', 'block');
     $('#iamm_randompicture_showcomment').inputList(
       {
@@ -161,5 +161,5 @@
         change: function () { $('#iConfigState').hide(); }
       }
-    ).inputList('value', initValues.infosComment);
+    ).inputList('value', initValues.infosComment).css('display', 'block');
 
 
@@ -169,5 +169,5 @@
         change: function () { $('#iConfigState').hide(); }
       }
-    );
+    ).css('display', 'block');
 
     $('#iamm_randompicture_title').inputText(
@@ -183,5 +183,5 @@
     );
 
-    $('#islang').inputList('value', initValues.userLang);
+    $('#islang').inputList('value', initValues.userLang).css('display', 'block');
 
 
Index: /extensions/AMenuManager/main.inc.php
===================================================================
--- /extensions/AMenuManager/main.inc.php	(revision 16005)
+++ /extensions/AMenuManager/main.inc.php	(revision 16006)
@@ -246,26 +246,29 @@
 global $prefixeTable, $page;
 
-
-if(defined('IN_ADMIN'))
+if(!defined('AJAX_CALL'))
 {
-  //AMM admin part loaded and active only if in admin page
-  include_once("amm_aim.class.inc.php");
-  $obj = new AMM_AIM($prefixeTable, __FILE__);
-  $obj->initEvents();
-  set_plugin_data($plugin['id'], $obj);
-}
-else
-{
-  if(CommonPlugin::checkGPCRelease(AMM_GPC_NEEDED))
+  if(defined('IN_ADMIN'))
   {
-    AMM_root::checkPluginRelease();
-
-    //AMM public part loaded and active only if in public page
-    include_once("amm_pip.class.inc.php");
-    $obj = new AMM_PIP($prefixeTable, __FILE__);
+    //AMM admin part loaded and active only if in admin page
+    include_once("amm_aim.class.inc.php");
+    $obj = new AMM_AIM($prefixeTable, __FILE__);
+    $obj->initEvents();
     set_plugin_data($plugin['id'], $obj);
   }
+  else
+  {
+    if(CommonPlugin::checkGPCRelease(AMM_GPC_NEEDED) and !mobile_theme())
+    {
+      AMM_root::checkPluginRelease();
+
+      //AMM public part loaded and active only if in public page
+      include_once("amm_pip.class.inc.php");
+      $obj = new AMM_PIP($prefixeTable, __FILE__);
+      set_plugin_data($plugin['id'], $obj);
+    }
+  }
 }
 
 
+
 ?>
Index: /extensions/AMenuManager/menu_templates/menubar_links.tpl
===================================================================
--- /extensions/AMenuManager/menu_templates/menubar_links.tpl	(revision 16005)
+++ /extensions/AMenuManager/menu_templates/menubar_links.tpl	(revision 16006)
@@ -4,5 +4,5 @@
 {/if}
 <dd>
-  <ul {if $block->data.icons=='y'}style="padding-left:4px;list-style:none;"{/if}>
+  <ul {if $block->data.icons=='y'} class="amm-MenuBar-links-icons"{else}class="amm-MenuBar-links"{/if}>
     {foreach from=$block->data.LINKS item=link}
       <li>