Index: /extensions/gally/gally-graphite/conf/default.conf
===================================================================
--- /extensions/gally/gally-graphite/conf/default.conf	(revision 16018)
+++ /extensions/gally/gally-graphite/conf/default.conf	(revision 16019)
@@ -4,5 +4,5 @@
 # ------------------------------------------------------------------------------
 # file: gally-graphite/conf/default.conf
-# file release: 1.3.0
+# file release: 1.5.0
 # ------------------------------------------------------------------------------
 # author: grum at piwigo.org
@@ -185,14 +185,28 @@
 
 # -- 1.3.0 --
-# the 'displayHighResIcon' option can take theses values :
-#   "yes" => display an icon 'view full res' in the toolbar
-#   "no"  => don't display an icon 'view full res' in the toolbar
-displayHighResIcon="yes"
-
-# -- 1.3.0 --
 # the 'highResClickMode' option can take theses values :
 #   "close" => click on the high res picture close the high res picture
 #   "zoom"  => click on the high res picture switch the zoom mode fit/full
 highResClickMode="close"
+
+# -- 1.5.0 --
+# the 'manageTips' option can take theses values :
+#   "yes" => the interface uses the simpleTip.js script to display hints
+#   "no"  => the interface uses the default browser method to display hints
+manageTips="yes"
+
+# -- 1.5.0 --
+# the 'manageTipsPos' define the default position for tips ; the option can take
+# theses values :
+#   "tipOnTop"    => tip is displayed above the object
+#   "tipOnBottom" => tip is displayed under the object
+#   "tipOnLeft"   => tip is displayed on the left side of the object
+#   "tipOnRight"  => tip is displayed on the right side of the object
+manageTipsPos="tipOnBottom"
+
+# -- 1.5.0 --
+# the 'tipsSize' option can take any positive integer values.
+# This option define the size (Width&Height) of an arrow
+tipsSize=13
 
 # ------- Menu parameters ------------------------------------------------------
Index: /extensions/gally/gally-graphite/css/ASEgally-graphite.css
===================================================================
--- /extensions/gally/gally-graphite/css/ASEgally-graphite.css	(revision 16018)
+++ /extensions/gally/gally-graphite/css/ASEgally-graphite.css	(revision 16019)
@@ -23,5 +23,5 @@
   background-color:#F0F0F0;
   color:#333333;
-  border-color:#606060;
+  border:0px none;
 }
 .ui-datepicker-title { color:#f0f0f0; font-weight:bold; }
@@ -31,9 +31,23 @@
 .ui-datepicker td.ui-datepicker-current-day { background-color:#333333; }
 .ui-datepicker td.ui-datepicker-current-day a { color:#f0f0f0; }
-.ui-category-selector-arrow { color:#333333; }
+.ui-category-selector-arrow {
+  background-image: url("./../icon/buttons_gpc.png");
+  background-position: -30px -30px;
+  background-repeat: no-repeat;
+  border: 0 none;
+  border-radius: 2px 2px 2px 2px;
+}
+.ui-category-selector-arrow:hover {
+  background-position: -30px -15px;
+}
 .ui-category-selector, .ui-category-selector-list { font-family:monospace; }
 li.ui-category-selector-item:hover, li.ui-tag-selector-list-item:hover { background-color:#606060; color:#f0f0f0; }
 .ui-category-selector-selected-item { background-color:#333333; color:#f0f0f0; }
-
+li.ui-category-selector-item div { margin:0;}
+li.ui-category-selector-item div.ui-category-selector-name { top:-1px; position:relative;}
+li.ui-category-selector-item div.ui-category-selector-status { margin:1px; }
+#iASECategoryCategory div.ui-category-selector-check {
+  position:relative;
+}
 
 .ui-category-selector-expandable-item { background-image:url(./../icon/asearchengine/expand_b.png); }
@@ -71,13 +85,52 @@
 }
 
-.iconEdit { background:url(./../icon/edit.png) no-repeat 0 0 transparent; }
-.iconDelete { background:url(./../icon/delete.png) no-repeat 0 0 transparent; }
-.iconMove { background:url(./../icon/asearchengine/move.png) no-repeat 0 0 transparent; }
-.iconMove:hover { background:url(./../icon/asearchengine/move_h.png) no-repeat 0 0 transparent; }
-.iconSwitchCondition  { background:url(./../icon/asearchengine/switch.png) no-repeat 0 0 transparent; }
-.iconSwitchCondition:hover { background:url(./../icon/asearchengine/switch_h.png) no-repeat 0 0 transparent; }
+
+.iconSwitchCondition,
+.iconMove,
+.iconEdit,
+.iconDelete {
+  background:url(./../icon/buttons_gpc.png) no-repeat 0 0 transparent;
+  -moz-border-radius:2px;
+  -webkit-border-radius:2px;
+  -khtml-border-radius:2px;
+  border-radius:2px;
+}
+.iconSwitchCondition:hover,
+.iconMove:hover,
+.iconEdit:hover,
+.iconDelete:hover {
+  background-color:#666666;
+}
+
+
+.iconEdit {
+  background-position:-240px -15px;
+}
+.iconDelete {
+  background-position:-255px -15px;
+}
+.iconMove {
+  background-position:-285px -15px;
+}
+.iconSwitchCondition {
+  background-position:-300px -15px;
+}
+.iconEdit:hover {
+  background-position:-240px 0px;
+}
+.iconDelete:hover {
+  background-position:-255px 0px;
+}
+.iconMove:hover {
+  background-position:-285px 0px;
+}
+.iconSwitchCondition:hover {
+  background-position:-300px 0px;
+}
+
+.cbItem { padding:0px; }
 .cbItemMultiple { border:1px solid gray; }
 .cbItemOverGroup { border:1px dotted gray; }
-.itemContent { border-left:22px solid #606060; min-height:34px; padding-left:3px; }
+.itemContent { border-left:22px solid #666666; min-height:34px; padding-left:3px; }
 
 fieldset { margin:3px 18px; }
@@ -105,6 +158,30 @@
 
 div#iMenuCaddieBar div#iMenuCaddieItems { z-index:8600; }
-div#iMenuCriterions div#iMenuCItems { margin-left:-1px; }
+div#iMenuCriterions div#iMenuCItems { margin-left:-1px; margin-top:-1px; }
 div#iMenuCaddieText, div#iMenuCaddieText a { color:#333333;}
+
+.ui-tag-selector-selected-tag-list {
+  margin-bottom:1px;
+}
+
+div.ui-dialog li.valueItems {
+  background: none repeat scroll 0 0 #F0F0F0;
+  border: 0 none;
+  color: #202020;
+}
+
+#iASECategoryCategory .ui-category-selector-name li.ui-category-selector-selected-cat {
+  background:#606060;
+  border-radius: 8px;
+  color: #F0F0F0;
+  margin-right: 1px;
+  padding: 1px 4px;
+  -moz-border-radius: 8px;
+  -webkit-border-radius:8px;
+  -khtml-border-radius:8px;
+}
+#iASECategoryCategory .ui-category-selector {
+  padding:0px;
+}
 
 /* AMD specific CSS */
Index: /extensions/gally/gally-graphite/css/theme.css
===================================================================
--- /extensions/gally/gally-graphite/css/theme.css	(revision 16018)
+++ /extensions/gally/gally-graphite/css/theme.css	(revision 16019)
@@ -4,8 +4,7 @@
   ------------------------------------------------------------------------------
   file: gally/graphite/theme.css
-  file version: 1.2.0
-  date: 2008-11-11
+  file version: 1.5.0
   ------------------------------------------------------------------------------
-  author: grum at grum.dnsalias.com
+  author: grum at grum.fr
   << May the Little SpaceFrog be with you >>
   ------------------------------------------------------------------------------
@@ -24,4 +23,17 @@
   font-weight:bold;
 }
+div.errors button {
+  color:#ffffff;
+  background:#802020;
+  outline:none;
+}
+div.errors button:hover {
+  color:#FFB0B0;
+}
+div.errors button:active {
+  color:#802020;
+  background:#ffffff;
+}
+
 
 div.infos {
@@ -34,4 +46,15 @@
   color:#00FF00;
   font-weight:bold;
+}
+div.infos button {
+  color:#ffffff;
+  background:#208020;
+}
+div.infos button:hover {
+  color:#B0FFB0;
+}
+div.infos button:active {
+  color:#208020;
+  background:#ffffff;
 }
 
@@ -59,5 +82,4 @@
 
 
-
 /*
  page
@@ -66,5 +88,5 @@
   background-color:#333333;
   color:#999999;
-  overflow-x:auto;
+  overflow-x:visible;
 }
 
@@ -76,4 +98,5 @@
   font-style:italic;
 }
+
 
 a.button, a.navButton {
@@ -84,10 +107,8 @@
 }
 
-
 a.button, a.navButton, span.button, #icon_menu {
   background-image:url(./../icon/buttons.png);
   background-repeat:no-repeat;
 }
-
 
 /* menu */
@@ -189,4 +210,11 @@
 #icon_calendar_created:hover {
   background-position:-44px -22px;
+}
+
+#icon_sort {
+  background-position:-1144px 0;
+}
+#icon_sort:hover {
+  background-position:-1144px -22px;
 }
 
@@ -315,4 +343,11 @@
 }
 
+#icon_derivatives {
+  background-position:-1122px 0;
+}
+#icon_derivatives:hover {
+  background-position:-1122px -22px;
+}
+
 /* tags.tpl */
 #icon_cloud {
@@ -533,10 +568,13 @@
 }
 
-
-.wrap2 a img{
+.titrePage .categoryActions {
+  margin: 2px 2px 0 0;
+}
+
+a span.wrap2 img{
   border:1px #707070 solid;
 }
 
-.wrap2 a:hover img{
+a:hover span.wrap2 img{
   border:1px #f0f0f0 solid;
 }
@@ -562,4 +600,8 @@
 }
 
+.fixHeight {
+    clear:both;
+}
+
 .illustration a:hover img {
   border:1px #f0f0f0 solid;
@@ -569,4 +611,8 @@
   border-top:1px #606060 dotted;
   text-align:justify;
+}
+
+div ul.thumbnails {
+  padding:0;
 }
 
@@ -578,7 +624,38 @@
 }
 
-div ul.thumbnails {
-  margin: 16px 0 0;
-}
+.content ul.thumbnails span.wrap2 {
+  display:table-cell;
+  margin:0;
+  padding:0;
+  vertical-align:middle;
+  border:none;
+}
+
+.content ul.thumbnails table.wrap1 tr.imgRow td {
+  vertical-align:middle;
+  -moz-border-radius: 8px;  /* round corners with Geko */
+  -webkit-border-radius: 8px;  /* round corners with webkit */
+  -khtml-border-radius: 8px;  /* round corners with khtml */
+  border-radius:8px; /* round corners with CSS3 compliant browsers */
+  border:none;
+}
+
+.content ul.thumbnails table.wrap1 tr.nfoRow {
+  visibility:hidden;
+}
+
+.content ul.thumbnails table.wrap1:hover tr.nfoRow {
+  visibility:visible;
+}
+
+table.wrap1 {
+  padding:20px 15px;
+}
+
+div ul.thumbnails li {
+  width: auto;
+  height: auto;
+}
+
 
 /*
@@ -697,4 +774,5 @@
   color:#606060;
 }
+
 
 
@@ -721,4 +799,6 @@
   border-top:1px #ffffff solid;
   border-left:1px #ffffff solid;
+  margin-top:1px;
+  cursor: pointer;
 }
 
@@ -737,7 +817,7 @@
 
 fieldset legend {
-  background-color:#333333;
   padding-left:3px;
   padding-right:3px;
+  background-color:#333333;
 }
 
@@ -747,4 +827,25 @@
   picture page
 */
+.switchBox {
+  -moz-border-radius:4px;
+  -webkit-border-radius:4px;
+  -khtml-border-radius:4px;
+  border-radius:4px;
+  background-color: #333333;
+  border: 1px solid #ffffff;
+  margin-left:4px;
+  z-index:15000;
+  margin-top:12px;
+}
+
+.switchBoxTitle {
+  font-size: 12px;
+  font-weight: bold;
+}
+
+.switchBoxCat {
+  margin-top:25px;
+}
+
 #thePicturePage #titrePageID {
   float: left;
@@ -769,21 +870,16 @@
 
 #theImgHighCloseButton {
-  background-image:url(./../icon/buttons.png);
-  background-repeat:no-repeat;
-  background-position:-946px 0px;
   width:15px;
   height:15px;
+  background:transparent url(./../icon/buttons.png) no-repeat scroll -946px 0px;
   top:-8px;
   right:8px;
   cursor:pointer;
 }
-/*
 #theImgHighCloseButton:hover {
   background-position:-946px -22px;
 }
-*/
+
 #theImgHighZoomButton {
-  background-image:url(./../icon/buttons.png);
-  background-repeat:no-repeat;
   width:15px;
   height:15px;
@@ -791,4 +887,5 @@
   right:28px;
   cursor:pointer;
+  background:transparent url(./../icon/buttons.png);
 }
 
@@ -796,17 +893,14 @@
   background-position:-968px 0px;
 }
-/*
 #theImgHighZoomButton.fit:hover {
   background-position:-968px -22px;
 }
-*/
+
 #theImgHighZoomButton.full {
   background-position:-990px 0px;
 }
-/*
 #theImgHighZoomButton.full:hover {
   background-position:-990px -22px;
 }
-*/
 
 .imageNumber {
@@ -881,4 +975,11 @@
 }
 
+table.infoTable td.cTitle {
+  width:10%;
+}
+
+table.infoTable td.cNfo {
+  width:16%;
+}
 
 .infoTable {
@@ -890,5 +991,4 @@
   border-collapse:collapse;
   position:relative;
-  left:25px;
 }
 
@@ -900,5 +1000,5 @@
 
 .infoTable td.value, .infoTable td.label {
-  padding-right:50px;
+  padding-right:15px;
 }
 
@@ -910,4 +1010,5 @@
 .infoTable tr:hover {
   background-color:#606060;
+  cursor:default;
 }
 .infoTable tr.emptyrow:hover {
@@ -931,5 +1032,9 @@
 #rateForm input[type="button"].rateButtonStarFull:focus,
 #rateForm input[type="submit"].rateButtonStarFull  {
-  background: url('./../icon/buttons.png') no-repeat scroll; background-position:-111px 1px; width:16px; height:16px;
+  background: url('./../icon/buttons.png') no-repeat scroll; 
+  background-position:-111px 1px; 
+  width:16px; 
+  height:16px;
+  outline:none;
 }
 
@@ -937,5 +1042,9 @@
 #rateForm input[type="button"].rateButtonStarEmpty:focus,
 #rateForm input[type="submit"].rateButtonStarEmpty {
-  background: url('./../icon/buttons.png') no-repeat scroll; background-position:-89px 1px; width:16px; height:16px;
+  background: url('./../icon/buttons.png') no-repeat scroll; 
+  background-position:-89px 1px; 
+  width:16px; 
+  height:16px;
+  outline:none;
 }
 
@@ -949,5 +1058,16 @@
 }
 
-
+#privacyLevelBox {
+  font-weight:normal;
+}
+
+#privacyLevelBox a {
+  cursor:pointer;
+}
+
+#iPrivacyLevelLink {
+  cursor:pointer;
+  font-style:italic;
+}
 #theComments {
   background:#404040;
@@ -969,4 +1089,5 @@
 .commentDetail {
   border-bottom:1px dotted #606060;
+  clear:both;
 }
 
@@ -975,5 +1096,4 @@
   padding:4px;
 }
-
 .commentDetail ul li {
   display:inline;
@@ -1056,7 +1176,12 @@
 
 
+
 /*
   tags
 */
+#fullTagCloud, table.tagLetters  {
+    margin-left:120px;
+    margin-right:120px;
+}
 
 #fullTagCloud SPAN a:hover {
@@ -1120,4 +1245,63 @@
 
 
+
+
+/*
+ * tips
+ */
+
+#iSimpleTipContent {
+  background: #ffffff;
+  border: none;
+  color: #303030;
+  font-family: sans-serif;
+  font-size: 11px;
+  max-width: 250px;
+  padding: 4px;
+  min-height: 15px;
+}
+#iSimpleTipShadow, #iSimpleTipContent {
+  -moz-border-radius:4px;
+  -webkit-border-radius:4px;
+  -khtml-border-radius:4px;
+  border-radius:4px;
+}
+
+#iSimpleTipContent span.title {
+  font-weight:bold;
+}
+#iSimpleTipContent ul, #iSimpleTipContent ol {
+  margin:4px;
+  padding-left:15px;
+}
+
+#iSimpleTipContent img {
+  margin:8px;
+}
+
+#iSimpleTipContent span.navDesc {
+  text-align:center;
+  display:block;
+}
+
+#iSimpleTipContent span.navAction {
+  font-weight:bold;
+}
+#iSimpleTipContent span.navTitle {
+  font-style:italic;
+}
+
+.cSimpleTipArrow {
+    background-image: url("./../icon/sTipArrows.png");
+}
+
+.cSimpleTipArrow {
+    background-repeat: no-repeat;
+    height: 12px;
+    position: absolute;
+    width: 12px;
+}
+
+
 /*
  vd language switch plugin
Index: /extensions/gally/gally-graphite/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-graphite/themeconf.inc.php	(revision 16018)
+++ /extensions/gally/gally-graphite/themeconf.inc.php	(revision 16019)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Graphite
-Version: 1.4.5
+Version: 1.5.0
 Description: Grey theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=381
@@ -16,3 +16,4 @@
   'mime_icon_dir' => 'themes/gally-graphite/icon/mimetypes/',
 );
+
 ?>